Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZOrderItem Class Reference

eZOrderItem handles custom order items More...

Inheritance diagram for eZOrderItem:

## Public Member Functions
| vatValue ()
| priceIncVAT ()
| priceExVAT ()
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | fetchList ( $orderID, $asObject=true)
static | fetchListByType ( $orderID, $itemType, $asObject=true)
| cleanup ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $VATValue
| $Price
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

eZOrderItem handles custom order items

Custom order items are used to automatically add new items to a specific order. You can use it to e.g. specify shipping and handling, special discount or wrapping costs.

The order items is different from the product collection items in the way that there is no product for each order item.

See also
  eZProductCollection eZBasket eZOrder

Definition at line 26 of file ezorderitem.php.

## Member Function Documentation

## ◆ cleanup()

eZOrderItem::cleanup | ( |  | ) |
| static

Removes all order items from the database.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 127 of file ezorderitem.php.

References eZDB\instance().

Referenced by eZOrder\cleanup().

## ◆ definition()

static eZOrderItem::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 30 of file ezorderitem.php.

Referenced by fetchList(), and fetchListByType().

## ◆ fetchList()

static eZOrderItem::fetchList | ( |  | $orderID,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 71 of file ezorderitem.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZOrder\orderItems().

## ◆ fetchListByType()

static eZOrderItem::fetchListByType | ( |  | $orderID,
|  |  | $itemType,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 81 of file ezorderitem.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZOrder\orderItemsByType().

## ◆ priceExVAT()

eZOrderItem::priceExVAT | ( |  | ) |

Definition at line 111 of file ezorderitem.php.

References $Price, eZPersistentObject\attribute(), and vatValue().

## ◆ priceIncVAT()

eZOrderItem::priceIncVAT | ( |  | ) |

Definition at line 97 of file ezorderitem.php.

References $Price, eZPersistentObject\attribute(), and vatValue().

## ◆ vatValue()

eZOrderItem::vatValue | ( |  | ) |

Definition at line 92 of file ezorderitem.php.

References $VATValue.

Referenced by priceExVAT(), and priceIncVAT().

## Member Data Documentation

## ◆ $Price

eZOrderItem::$Price

Definition at line 29 of file ezorderitem.php.

Referenced by priceExVAT(), and priceIncVAT().

## ◆ $VATValue

eZOrderItem::$VATValue

Definition at line 28 of file ezorderitem.php.

Referenced by vatValue().

The documentation for this class was generated from the following file:

- ezorderitem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.